import 'dart:io';
import 'dart:async';

import 'package:dip_client_sdk/dip_client_sdk.dart';

var fileNames= <String>[
    'test-video.mp4',
    'test-music.mp4',
    'boss (1).mp4',
    'sample_960x540.webm',
    'sample_960x400_ocean_with_audio.webm',
    'video3-remux.mp4'
];

var baseDir = '/home/madincom/dev/dip-api/test/';
var fileInfos = <UploadFile>[];

void main() async {
	for (var i = 0; i < fileNames.length; i++) {
		var file = new File(baseDir + fileNames[i]);

		if (i == 0) {
			// intentional failure for testing
			fileInfos.add(new UploadFile(
				'https://s3.ap-northeast-2.amazonaws.com/' + fileNames[i],
				file,
				'video',
				fileNames[i],
				await file.length(),
			));
		}
		else {
			fileInfos.add(new UploadFile(
				'https://s3.ap-northeast-2.amazonaws.com/test.exax-dx.com/' + fileNames[i],
				file,
				'video',
				fileNames[i],
				await file.length(),
			));
		}
	}

	var config = <String,dynamic>{
		'maxConcurrency': 5,
		'maxRetry': 3,
		'monitorInterval': 3000,
		'cancelThreshold': 50000,
	};

	var uploader = new MultiUploader(fileInfos, config);

    print("progress = " + uploader.getProgress().toString());
    await uploader.upload();
    print("progress = " + uploader.getProgress().toString());
}
